# Define SciTE settings for kin files.

file.patterns.kin=*.kin;*.kino;*.ast

shbang.kin=kin

filter.kin=kin (kin)|$(file.patterns.kin)|

lexer.$(file.patterns.kin)=python

keywordclass.kin=typeof and as assert break class continue def del elif \
else except exec finally for from global if import in is lambda None \
not or pass print raise return try while with yield \
module \
using \
trait \
req \
let \
var \
fail \
type \
match \
delegate \
true \
false \
nil \
self \
operator \
unary \
object \
actor \
typeof \
receive \
select \
guard \
union \
uint8 uint16 uint32 uint64 real32 real64 natural fixint bigint cons nil boolean any

#~ seq \
#~ int32 int64 real32 real64 unichar natural integer \
#~ string symbol

keywords.$(file.patterns.kin)=$(keywordclass.kin)


#~ statement.indent.$(file.patterns.kin)=10 :
statement.indent.$(file.patterns.kin)=5 trait def type match atomic

statement.lookback.$(file.patterns.kin)=0
block.start.$(file.patterns.kin)=
block.end.$(file.patterns.kin)=

view.indentation.examine.*.kin=2

tab.timmy.whinge.level=1

#fold.quotes.kinthon=1

comment.block.kin=#~

# Python styles
# White space
style.python.0=fore:#808080
# Comment
style.python.1=$(colour.code.comment.doc),$(font.code.comment.doc),$(background.code.comment),eolfilled
# Number
style.python.2=fore:#007F7F
# String
style.python.3=fore:#7F0000,back:#fff0ff,$(font.monospace)
# Single quoted string
style.python.4=fore:#7F007F,back:#fff0ff,$(font.monospace)
# Keyword
style.python.5=fore:#00007F,back:#f7f7ff
# Triple quotes
style.python.6=fore:#7F0000
# Triple double quotes
style.python.7=fore:#7F0000
# Class name definition
style.python.8=fore:#0000FF,back:#e0e0ff
# Function or method name definition
style.python.9=fore:#007F7F,back:#f0ffff
# Operators
style.python.10=fore:#1f1fff,back:#fefeff
# Identifiers
style.python.11=fore:#00007f,back:#ffffe0
# Comment-blocks
style.python.12=$(colour.code.comment.doc),$(font.code.comment.doc),$(background.code.comment)
# End of line where string is not closed
style.python.13=fore:#000000,$(font.monospace),back:#E0C0E0,eolfilled
# Highlighted identifiers
style.python.14=fore:#407090
# Decorators
style.python.15=fore:#805000
# Matched Operators
style.python.34=fore:#0000FF,bold
style.python.35=fore:#FF0000,bold
# Braces are only matched in operator style
braces.kin.style=10

